Subject: WG Action: Configuration Management with SNMP (snmpconf)

From: The IESG <[email-masked]>
Date: Mon, 31 Jan 2000 07:50:54 -0500

A new working group has been formed in the Operations and Management
Area of the IETF. For additional information, contact the Area Directors
or the WG Chair.

Configuration Management with SNMP (snmpconf)
---------------------------------------------
 
 Current Status: Active Working Group
 
 Chair(s):
     Jonathan Saperia <[email-masked]>
     David Harrington <[email-masked]>
 
 Operations and Management Area Director(s): 
     Randy Bush  <[email-masked]>
     Bert Wijnen  <[email-masked]>
 
 Operations and Management Area Advisor: 
     Bert Wijnen  <[email-masked]>
 
 Mailing Lists: 
     General Discussion:[email-masked]
     To Subscribe:      [email-masked]
         In Body:       subscribe snmpconf
     Archive:           [email-masked] (index snmpconf in body)

Description of Working Group:
 
The working group will create a Best Current Practices document which
outlines the most effective methods for using the SNMP Framework to
accomplish configuration management. The scope of the work will include
recommendations for device specific as well as network-wide (Policy)
configuration. The group is also chartered to write any MIB modules
necessary to facilitate configuration management, specifically they will
write a MIB module which describes a network entities capabilities and
capacities which can be used by management entities making policy
decisions at a network level or device specific level.

As a proof of concept, the working group will also write a MIB
module which describes management objects for the control of
differentiated services policy in coordination with the effort
currently taking place in the Differentiated Services Working Group.

Deliverables

1. A Best Current Practices document to provide guidelines on how
   to best use the existing Internet Standard Management Framework
   to perform configuration management.

2. A MIB module which describes a network entities capabilities
   such as support for a particular type of security or a particular
   queuing method on certain interfaces. The module will also convey
   the capacity of the device to perform certain work.

3. A MIB module which can be used to concisely convey information
   about desired network wide Diffserv Based QoS behavior.
   AD wonders: We indeed only want to do QoS for Diffserv for now
   to prove the concepts, right?

4. A document which describes potential future work needed to
   meet all the Requirements for Configuration Management.
 
 Goals and Milestones: 
 
   Jan 00       Announce Working Group and call for Input                      

   Feb 00       Submit Initial Drafts for BCP and MIB Documents                

   Mar 00       Meet at 47th IETF in Adelaide                                  

   May 00       Interim Meeting                                                

   May 00       Revised Drafts for BCP and MIB Documents and WG Last Call these
                Drafts. Submit to AD for consideration as BCP and PS.          

   Jun 00       Conduct Interoperability Testing                               

   Jul 00       New Internet Drafts, including a document describing potential 
                future work.                                                   

   Aug 00       Meet at 48th IETF meeting in Pittsburgh                        

   Sep 00       WG Last Call on remaining Drafts. Submit to AD for 
                consideration as BCP and PS.                                   

   Oct 00       Re-charter or shutdown WG.